Ubuntu中python3.5 安装pygame失败,怎么安装?
澳门银河官网
澳门银河官网
当前位置 : 澳门银河官网 > 澳门银河官网

Ubuntu中python3.5 安装pygame失败,怎么安装?

Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-pwsdicnz-build/You are using pip version 8.1.1, however version 9.0.1 is available.You should consider upgrading via the pip install --upgrade pip command.

使用的是 pip3 install --user hg+http://bitbucket.org/pygame/p...

看报错啊,你需要类似 freetype-dev 之类的包。后边还有几个「not found」,也不知道会不会影响到你。

这也是我一直不建议手动安装的原因:有太多的依赖你得自己猜测、处理。直接用系统包管理器安装,一条命令搞定所有安装,多省事。

1
回复 王森浩

看再报什么错,继续装相应的包。

我不清楚 Ubuntu 上的打包情况,我用的是 Arch,AUR 里有 python-pygame-hg 包可以直接装的样子。

依云 · 3月27日

展开评论

栏目列表

广告位

澳门银河官网